img-jpeg(3tk)

NAME
img-jpeg - Img, Joint Picture Expert Group format (jpeg)

SYNOPSIS
package require Tk

package require img::jpeg ?1.4?

image create photo ?name? ?options?

DESCRIPTION
The package img::jpeg is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::jpeg.

Like all packages of Img it does not provide new commands, but extends the existing Tk command image so that it supports files containing raster images in the Joint Picture Expert Group format (jpeg). More specifically img::jpeg extends Tk's photo image type.

The name of the new format handler is jpeg. This handler provides new additional configuration options. See section JPEG OPTIONS for more detailed explanations.

All of the above means that in a call like

image create photo ?name? ?options?

[1] Image data in jpeg format (options -data and -file) is detected automatically.

[2] The format name jpeg is recognized by the option -format. In addition the value for the option is treated as list and may contain any of the special options listed in section JPEG OPTIONS.

JPEG OPTIONS
The handler provides six options, two effective when reading from a JPEG image, and five influencing the writing of such. One option is usable for both reading an writing.

-fast
    This option is for reading from JPEG data. It usage activates a processing mode which is fast, but also provides only low-quality information.

-grayscale
    This option can be used for both reading and writing of JPEG data. Usage of this option forces incoming images to grayscale, and written images will be monochrome.

-quality n
    This option is for writing JPEG data. It specifies the compression level as a quality percentage. The higher the quality, the less the compression. The nominal range for n is 0...100. Useful values are in the range 5...95. The default value is 75.

-smooth n
    This option is for writing JPEG data. When used the writer will smooth the image before performing the compression. Values in the 10...30 are usually enough. The default is 0, i.e no smoothing.

-optimize
    This option is for writing JPEG data. It usage causes the writer to optimize the huffman table used to encode the jpeg coefficients.

-progressive
    This option is for writing JPEG data. It usage causes the creation of a progressive JPEG file.

SEE ALSO
img-bmp, img-dted, img-gif, img-ico, img-intro, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

KEYWORDS
image handling, jpeg, tk

COPYRIGHT
Copyright (c) 1995-2009 Jan Nijtmans <nijtmans@users.sourceforge.net>